<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AvailableUserPermissionsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('available_user_permissions')->insert([
            'permission' => 'None',
            'description' => 'No permissions',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'structure.operator',
            'description' => 'Structure Operator to include receiveing alerts.',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'logistics.minion',
            'description' => 'Logistics Minion who helps with shipments.',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'logistics.admin',
            'description' => 'Logistics Administrator.',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'fc.lead',
            'description' => 'Fleet Controller Lead',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'finance.lead',
            'description' => 'Corporation Director or Finance Officer',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'mining.officer',
            'description' => 'Person in charge of mining operations',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'mining.user',
            'description' => 'Mining Operation minion',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'srp.admin',
            'description' => 'Admin of Ship Replacement Program',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'srp.lead',
            'description' => 'Second in Command of Ship Replacement Program',
        ]);

        DB::table('available_user_permissions')->insert([
            'permission' => 'srp.user',
            'description' => 'User of Ship Replacement Program',
        ]);
    }
}
